Page 1 of 3 123 LastLast
Results 1 to 10 of 21

Thread: Could not determine the upgrade

  1. #1
    Join Date
    Apr 2014
    Beans
    11

    Question Could not determine the upgrade

    Hi,

    I'm trying to upgrade from 13.10 to 14.04 and got this after running sudo do-release-upgrade:

    ---8<---
    Checking package manager
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Building data structures... Done

    Calculating the changes

    Calculating the changes

    Could not determine the upgrade

    An unresolvable problem occurred while calculating the upgrade.

    This can be caused by:
    * Upgrading to a pre-release version of Ubuntu
    * Running the current pre-release version of Ubuntu
    * Unofficial software packages not provided by Ubuntu

    If none of this applies, then please report this bug using the
    command 'ubuntu-bug ubuntu-release-upgrader-core' in a terminal.


    Restoring original system state
    ---8<---

    The last 'Unofficial packages not provided by Ubuntu' may very well apply, but how do I determine this, so I can (hopefully) remove them?

    Thanks,
    Frans

  2. #2
    Join Date
    Jan 2014
    Location
    Netherlands
    Beans
    188
    Distro
    Kubuntu 14.04 Trusty Tahr

    Re: Could not determine the upgrade

    try apt-get update && apt-get dist-upgrade first

    pls post the output here

  3. #3
    Join Date
    Sep 2012
    Location
    12o4/14o4
    Beans
    Hidden!

    Re: Could not determine the upgrade

    Try

    Code:
    sudo do-release-upgrade -d

  4. #4
    Join Date
    Apr 2014
    Beans
    11

    Re: Could not determine the upgrade

    No problems seen:

    sudo apt-get update

    Ign http://be.archive.ubuntu.com saucy InRelease
    Ign http://be.archive.ubuntu.com saucy-updates InRelease
    Ign http://be.archive.ubuntu.com saucy-backports InRelease
    Hit http://be.archive.ubuntu.com saucy Release.gpg
    Hit http://be.archive.ubuntu.com saucy-updates Release.gpg
    Ign http://security.ubuntu.com saucy-security InRelease
    Hit http://be.archive.ubuntu.com saucy-backports Release.gpg
    Hit http://be.archive.ubuntu.com saucy Release
    Hit http://be.archive.ubuntu.com saucy-updates Release
    Hit http://be.archive.ubuntu.com saucy-backports Release
    Hit http://security.ubuntu.com saucy-security Release.gpg
    Hit http://be.archive.ubuntu.com saucy/main Sources
    Hit http://be.archive.ubuntu.com saucy/restricted Sources
    Hit http://be.archive.ubuntu.com saucy/universe Sources
    Hit http://be.archive.ubuntu.com saucy/multiverse Sources
    Hit http://security.ubuntu.com saucy-security Release
    Hit http://be.archive.ubuntu.com saucy/main amd64 Packages
    Hit http://be.archive.ubuntu.com saucy/restricted amd64 Packages
    Hit http://be.archive.ubuntu.com saucy/universe amd64 Packages
    Hit http://be.archive.ubuntu.com saucy/multiverse amd64 Packages
    Hit http://security.ubuntu.com saucy-security/main Sources
    Hit http://be.archive.ubuntu.com saucy/main i386 Packages
    Hit http://security.ubuntu.com saucy-security/restricted Sources
    Hit http://be.archive.ubuntu.com saucy/restricted i386 Packages
    Hit http://be.archive.ubuntu.com saucy/universe i386 Packages
    Hit http://be.archive.ubuntu.com saucy/multiverse i386 Packages
    Hit http://security.ubuntu.com saucy-security/universe Sources
    Hit http://be.archive.ubuntu.com saucy/main Translation-en_GB
    Hit http://be.archive.ubuntu.com saucy/main Translation-en
    Hit http://be.archive.ubuntu.com saucy/multiverse Translation-en_GB
    Hit http://security.ubuntu.com saucy-security/multiverse Sources
    Hit http://be.archive.ubuntu.com saucy/multiverse Translation-en
    Hit http://be.archive.ubuntu.com saucy/restricted Translation-en_GB
    Hit http://be.archive.ubuntu.com saucy/restricted Translation-en
    Hit http://security.ubuntu.com saucy-security/main amd64 Packages
    Hit http://be.archive.ubuntu.com saucy/universe Translation-en_GB
    Hit http://be.archive.ubuntu.com saucy/universe Translation-en
    Hit http://security.ubuntu.com saucy-security/restricted amd64 Packages
    Hit http://be.archive.ubuntu.com saucy-updates/main Sources
    Hit http://security.ubuntu.com saucy-security/universe amd64 Packages
    Hit http://be.archive.ubuntu.com saucy-updates/restricted Sources
    Hit http://be.archive.ubuntu.com saucy-updates/universe Sources
    Hit http://be.archive.ubuntu.com saucy-updates/multiverse Sources
    Hit http://security.ubuntu.com saucy-security/multiverse amd64 Packages
    Hit http://be.archive.ubuntu.com saucy-updates/main amd64 Packages
    Hit http://be.archive.ubuntu.com saucy-updates/restricted amd64 Packages
    Hit http://be.archive.ubuntu.com saucy-updates/universe amd64 Packages
    Hit http://be.archive.ubuntu.com saucy-updates/multiverse amd64 Packages
    Hit http://security.ubuntu.com saucy-security/main i386 Packages
    Hit http://be.archive.ubuntu.com saucy-updates/main i386 Packages
    Hit http://be.archive.ubuntu.com saucy-updates/restricted i386 Packages
    Hit http://be.archive.ubuntu.com saucy-updates/universe i386 Packages
    Hit http://security.ubuntu.com saucy-security/restricted i386 Packages
    Hit http://be.archive.ubuntu.com saucy-updates/multiverse i386 Packages
    Hit http://be.archive.ubuntu.com saucy-updates/main Translation-en_GB
    Hit http://be.archive.ubuntu.com saucy-updates/main Translation-en
    Hit http://security.ubuntu.com saucy-security/universe i386 Packages
    Hit http://be.archive.ubuntu.com saucy-updates/multiverse Translation-en_GB
    Hit http://be.archive.ubuntu.com saucy-updates/multiverse Translation-en
    Hit http://security.ubuntu.com saucy-security/multiverse i386 Packages
    Hit http://be.archive.ubuntu.com saucy-updates/restricted Translation-en_GB
    Hit http://be.archive.ubuntu.com saucy-updates/restricted Translation-en
    Hit http://be.archive.ubuntu.com saucy-updates/universe Translation-en_GB
    Hit http://be.archive.ubuntu.com saucy-updates/universe Translation-en
    Hit http://be.archive.ubuntu.com saucy-backports/main Sources
    Hit http://be.archive.ubuntu.com saucy-backports/restricted Sources
    Hit http://be.archive.ubuntu.com saucy-backports/universe Sources
    Hit http://be.archive.ubuntu.com saucy-backports/multiverse Sources
    Hit http://be.archive.ubuntu.com saucy-backports/main amd64 Packages
    Hit http://security.ubuntu.com saucy-security/main Translation-en
    Hit http://be.archive.ubuntu.com saucy-backports/restricted amd64 Packages
    Hit http://be.archive.ubuntu.com saucy-backports/universe amd64 Packages
    Hit http://be.archive.ubuntu.com saucy-backports/multiverse amd64 Packages
    Hit http://be.archive.ubuntu.com saucy-backports/main i386 Packages
    Hit http://be.archive.ubuntu.com saucy-backports/restricted i386 Packages
    Hit http://be.archive.ubuntu.com saucy-backports/universe i386 Packages
    Hit http://be.archive.ubuntu.com saucy-backports/multiverse i386 Packages
    Hit http://be.archive.ubuntu.com saucy-backports/main Translation-en
    Hit http://security.ubuntu.com saucy-security/multiverse Translation-en
    Hit http://be.archive.ubuntu.com saucy-backports/multiverse Translation-en
    Hit http://be.archive.ubuntu.com saucy-backports/restricted Translation-en
    Hit http://be.archive.ubuntu.com saucy-backports/universe Translation-en
    Hit http://security.ubuntu.com saucy-security/restricted Translation-en
    Hit http://security.ubuntu.com saucy-security/universe Translation-en
    Ign http://be.archive.ubuntu.com saucy/main Translation-en_US
    Ign http://be.archive.ubuntu.com saucy/multiverse Translation-en_US
    Ign http://be.archive.ubuntu.com saucy/restricted Translation-en_US
    Ign http://be.archive.ubuntu.com saucy/universe Translation-en_US
    Ign http://be.archive.ubuntu.com saucy-updates/main Translation-en_US
    Ign http://be.archive.ubuntu.com saucy-updates/multiverse Translation-en_US
    Ign http://be.archive.ubuntu.com saucy-updates/restricted Translation-en_US
    Ign http://be.archive.ubuntu.com saucy-updates/universe Translation-en_US
    Ign http://be.archive.ubuntu.com saucy-backports/main Translation-en_GB
    Ign http://be.archive.ubuntu.com saucy-backports/main Translation-en_US
    Ign http://be.archive.ubuntu.com saucy-backports/multiverse Translation-en_GB
    Ign http://be.archive.ubuntu.com saucy-backports/multiverse Translation-en_US
    Ign http://be.archive.ubuntu.com saucy-backports/restricted Translation-en_GB
    Ign http://be.archive.ubuntu.com saucy-backports/restricted Translation-en_US
    Ign http://be.archive.ubuntu.com saucy-backports/universe Translation-en_GB
    Ign http://be.archive.ubuntu.com saucy-backports/universe Translation-en_US
    Ign http://security.ubuntu.com saucy-security/main Translation-en_GB
    Ign http://security.ubuntu.com saucy-security/main Translation-en_US
    Ign http://security.ubuntu.com saucy-security/multiverse Translation-en_GB
    Ign http://security.ubuntu.com saucy-security/multiverse Translation-en_US
    Ign http://security.ubuntu.com saucy-security/restricted Translation-en_GB
    Ign http://security.ubuntu.com saucy-security/restricted Translation-en_US
    Ign http://security.ubuntu.com saucy-security/universe Translation-en_GB
    Ign http://security.ubuntu.com saucy-security/universe Translation-en_US

    sudo apt-get dist-upgrade:

    Reading package lists...
    Reading package lists...
    Building dependency tree...
    Reading state information...
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

  5. #5
    Join Date
    Apr 2014
    Beans
    11

    Re: Could not determine the upgrade

    Same as before.

  6. #6
    Join Date
    Apr 2014
    Beans
    11

    Re: Could not determine the upgrade

    Quote Originally Posted by ibjsb4 View Post
    Try

    Code:
    sudo do-release-upgrade -d
    same as before.

  7. #7
    Join Date
    Sep 2006
    Location
    France.
    Beans
    Hidden!
    Distro
    Lubuntu 14.10 Utopic Unicorn

    Re: Could not determine the upgrade

    You are still on saucy 13.10.

    Has trusty been offered to you via a dialog box ? If not, got to software sources and make sure you have checked to be notified on new releases.
    | My old and mostly abandoned blog |
    Linux user #413984 ; Ubuntu user #178
    J'aime les fraises.
    Nighty night me lovelies!

    | Reinstalling Ubuntu ? Please check this bug first ! |
    | Using a ppa ? Please install ppa-purge from universe, you may need it should you want to revert packages back |
    | No support requests / username changes by PM, thanks. |

  8. #8
    Join Date
    Jan 2014
    Location
    Netherlands
    Beans
    188
    Distro
    Kubuntu 14.04 Trusty Tahr

    Re: Could not determine the upgrade

    cd /etc/apt/sources.list.d

    ls[enter]

    pls post the output

  9. #9
    Join Date
    Apr 2014
    Beans
    11

    Re: Could not determine the upgrade

    -rw-r--r-- 1 root root 157 apr 29 21:45 private-ppa.launchpad.net_commercial-ppa-uploaders_steam_ubuntu.list
    -rw-r--r-- 1 root root 157 apr 29 21:45 private-ppa.launchpad.net_commercial-ppa-uploaders_steam_ubuntu.list.distUpgrade
    -rw-r--r-- 1 root root 157 apr 29 21:39 private-ppa.launchpad.net_commercial-ppa-uploaders_steam_ubuntu.list.save
    -rw-r--r-- 1 root root 152 apr 29 21:45 steam.list
    -rw-r--r-- 1 root root 152 apr 29 21:45 steam.list.distUpgrade
    -rw-r--r-- 1 root root 152 apr 29 21:39 steam.list.save
    -rw-r--r-- 1 root root 134 apr 29 21:45 ubuntu-wine-ppa-saucy.list
    -rw-r--r-- 1 root root 134 apr 29 21:45 ubuntu-wine-ppa-saucy.list.distUpgrade
    -rw-r--r-- 1 root root 134 apr 29 21:39 ubuntu-wine-ppa-saucy.list.save
    -rw-r--r-- 1 root root 134 apr 29 21:45 xorg-edgers-ppa-saucy.list
    -rw-r--r-- 1 root root 134 apr 29 21:45 xorg-edgers-ppa-saucy.list.distUpgrade
    -rw-r--r-- 1 root root 134 apr 29 21:39 xorg-edgers-ppa-saucy.list.save

  10. #10
    Join Date
    Apr 2014
    Beans
    11

    Re: Could not determine the upgrade

    I just removed (still have a backup) all of those files and tried "sudo do-release-upgrade" again, same result.

Page 1 of 3 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •